#############################################################
#
# pianobar
#
#############################################################

PIANOBAR_VERSION = 859e5378cc68510374d86bc242d216b3dc7ee773
# PIANOBAR_SOURCE = pianobar-$(PIANOBAR_VERSION).tar.gz
PIANOBAR_SITE = git://github.com/PromyLOPh/pianobar.git
PIANOBAR_DEPENDENCIES = libao libmad faad2
PIANOBAR_MAKE_ENV = PKG_CONFIG_PATH="$(STAGING_DIR)/usr/lib/pkgconfig" \
	PKG_CONFIG_SYSROOT_DIR="$(STAGING_DIR)" \
	PKG_CONFIG="$(HOST_DIR)/usr/bin/pkg-config"

define PIANOBAR_CONFIGURE_CMDS
	(cd $(@D); sed Makefile -i -e 's/CC:=c99//'; sed Makefile -i -e 's/PREFIX:=\/usr\/local//'; \
	sed Makefile -i -e 's/CFLAGS:=-O2\ -DNDEBUG/CFLAGS:=-O2\ -std=c99/')
endef

define PIANOBAR_BUILD_CMDS
	$(PIANOBAR_MAKE_ENV) $(MAKE) all CC='$(TARGET_CC)' PREFIX=/usr -C $(@D)
endef

define PIANOBAR_INSTALL_TARGET_CMDS
	$(PIANOBAR_MAKE_ENV) $(MAKE) install CC='$(TARGET_CC)' PREFIX=/usr DESTDIR=$(TARGET_DIR) -C $(@D)
endef

$(eval $(call GENTARGETS,package,pianobar))
